<?php

    namespace FederationCLI;

    use ncc\Runtime;

    class Program
    {
        /**
         * Main entry point for the CLI
         *
         * @param array $args
         * @return void
         */
        public static function main(array $args=[]): void
        {
            if (isset($args['shell']))
            {
                InteractiveMode::main($args);
            }

            self::help();
        }

        /**
         * Displays the help message
         *
         * @return void
         */
        public static function help(): void
        {
            print('FederationLib v' . Runtime::getConstant('net.nosial.federationlib', 'version') . PHP_EOL . PHP_EOL);

            print('Usage: federationlib [command] [options]' . PHP_EOL);
            print('Commands:' . PHP_EOL);
            print('  help - show this help' . PHP_EOL);
            print('  shell - enter interactive mode' . PHP_EOL);

            exit(0);
        }
    }